# ------------- Database configuration ------------------------

# The default values in this file is good for a default install, using the build in H2 test database, with JBoss 7/EAP 6.

# JNDI name of the DataSource used for EJBCA's database access. The prefix
# (e.g. 'java:/', '' or 'jdbc/')is automatically determined for each
# application server.
# default: EjbcaDS
datasource.jndi-name=EjbcaDS

# The database name selected for deployment, used to copy XDoclet merge files.
# All supported databases are defined below, others can easily be added
# See the document doc/howto/HOWTO-database.txt for database specifics and tips and tricks.
# (Note that the names below are fixed for the database type, it is not the name of your database instance.)
# Default: h2
# For MariaDB, use "mysql"
database.name=mysql
#database.name=postgres
#database.name=mssql
#database.name=oracle
#database.name=sybase
#database.name=informix
#database.name=derby
#database.name=db2
#database.name=ingres

# Database connection URL.
# This is the URL used to connect to the database, used to configure a new datasource in JBoss.
# Default: jdbc:h2:~/ejbcadb;DB_CLOSE_DELAY=-1
#database.url=jdbc:mysql://127.0.0.1:3306/ejbca
database.url=jdbc:mysql://ip:port/dbname?characterEncoding=UTF-8
#database.url=jdbc:postgresql://127.0.0.1/ejbca
#database.url=jdbc:sqlserver://localhost:1433;DatabaseName=ejbca
#database.url=jdbc:oracle:thin:@127.0.0.1:1521:ejbca
#database.url=jdbc:datadirect:oracle://127.0.0.1:1521;SID=ejbca
#database.url=jdbc:jtds:sybase://127.0.0.1:5000/ejbca
#database.url=jdbc:informix-sqli://127.0.0.1:1525/ejbca:informixserver=mydbservername;DBDATE=DMY4/;
#database.url=jdbc:derby://127.0.0.1/ejbca;create=true
#database.url=jdbc:db2://127.0.0.1:50000/ejbca
#database.url=jdbc:ingres://127.0.0.1:21071/ejbca

# JDBC driver classname.
# The JEE server needs to be configured with the appropriate JDBC driver for the selected database
# The Default h2 works (as test database) on JBoss 7, on JBoss 5 use org.hsqldb.jdbcDriver
# Default: h2
database.driver=org.mariadb.jdbc.Driver
#database.driver=com.mysql.jdbc.Driver
#database.driver=org.postgresql.Driver
#database.driver=com.microsoft.sqlserver.jdbc.SQLServerDriver
#database.driver=oracle.jdbc.driver.OracleDriver
#database.driver=com.ddtek.jdbc.oracle.OracleDriver
#database.driver=net.sourceforge.jtds.jdbc.Driver
#database.driver=com.informix.jdbc.IfxDriver
#database.driver=org.apache.derby.jdbc.ClientDriver
#database.driver=com.ibm.db2.jcc.DB2Driver
#database.driver=com.ingres.jdbc.IngresDriver

# Database username.
# Default: sa (works with H2 on JBoss 7)
database.username=user

# Database password.
# Default: sa (works with H2 on JBoss 7)
database.password=password

# The encoded certificate may be stored in the table Base64CertData instead of
# in a column in the CertificateData table. Using a separate table for the
# certificate data may speed up searching for certificates if there are lots of
# them (>100Million).
# Default: false
database.useSeparateCertificateTable=true
